#pragma once
#include "../../stdint.hpp"

namespace JabyEngine {
    uint16_t unaligned_lhu(const uint8_t* adr) {
        return (static_cast<uint16_t>(adr[0]) | static_cast<uint16_t>(adr[1]) << 8);
    }
}